:root {
    --primary-color: #070A0C;
    --background-color: #f7f7f7;
}


body {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    background-color: var(--background-color);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    box-sizing: border-box;
}

.container {
    text-align: center;
    padding: 20px;
    width: 100%;
    max-width: 400px;
}

.logo {
    width: 100%;
    max-width: 350px;
    margin-bottom: 10px;
}

.subtitle {
    font-size: 14px;
    color: var(--primary-color);
    margin-bottom: 20px;
}

.divider {
    width: 80%;
    margin: 0 auto;
    border: none;
    border-top: 1px solid var(--primary-color);
}

.title {
    font-size: 20px;
    font-weight: normal;
    color: var(--primary-color);
    margin-bottom: 20px;
    margin-top: 45px;
    line-height: 1.4;
}

.description {
    font-size: 16px;
    color: var(--primary-color);
    margin-bottom: 20px;
}

.contact-text {
    font-size: 16px;
    color: var(--primary-color);
    margin-bottom: 30px;
}

.socials {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.social-item {
    display: flex;
    align-items: center;
    gap: 10px;
}

.icon {
    width: 44px;
    height: 44px;
}

a {
    text-decoration: none;
    color: var(--primary-color);
    font-size: 16px;
    font-style: italic;
    font-weight: bold;
}

a:hover {
    text-decoration: underline;
}

.line-break {
    display: none;
}

/* Mobile and Tablet line break */
@media (max-width: 1024px) {
    .line-break {
        display: inline;
    }
}

/* Tablet */
@media (min-width: 768px) and (max-width: 1023px) {
    .container {
        max-width: 600px;
    }
    .logo {
        width: 530px; 
        max-width: none; 
    }
    .title {
        font-size: 24px;
    }

    .description,
    .contact-text {
        font-size: 20px;
    }
}

/* Desktop */
@media (min-width: 1024px) {
    .container {
        max-width: 800px;
    }

    .logo {
        width: 700px; 
        max-width: none; 
    }

    .title {
        font-size: 32px;
        margin-top: 60px;
    }

    .description,
    .contact-text {
        font-size: 24px;
    }

    .socials {
        flex-direction: column;
        gap: 20px;
        margin-top: 20px;
    }

    a {
        font-size: 24px;
    }
}
